Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions
erf.c File Reference
`#include "ruby/missing.h"`
`#include <stdio.h>`
`#include <math.h>`
Include dependency graph for erf.c:

Go to the source code of this file.

## Macros
#define | LOG_PI_OVER_2 0.572364942924700087071713675675 /* log_e(PI)/2 */

## Functions
static double | q_gamma (double, double, double)
static double | p_gamma (double a, double x, double loggamma_a)
double | erf (double x)
double | erfc (double x)

## Macro Definition Documentation

#define LOG_PI_OVER_2 0.572364942924700087071713675675 /* log_e(PI)/2 */

Definition at line 69 of file erf.c.

Referenced by erf(), and erfc().

## Function Documentation

double erf | ( | double | x | ) |

Definition at line 71 of file erf.c.

References finite(), isnan, LOG_PI_OVER_2, and p_gamma().

Referenced by math_erf().

double erfc | ( | double | x | ) |

Definition at line 81 of file erf.c.

References finite(), isnan, LOG_PI_OVER_2, p_gamma(), and q_gamma().

Referenced by math_erfc().

static double p_gamma | ( | double | a,
|  | double | x,
|  | double | loggamma_a
| ) |  |
| static

Definition at line 29 of file erf.c.

References a, q_gamma(), and result.

Referenced by erf(), erfc(), and q_gamma().

static double q_gamma | ( | double | a,
|  | double | x,
|  | double | loggamma_a
| ) |  |
| static

Definition at line 48 of file erf.c.

References a, p_gamma(), and result.

Referenced by erfc(), and p_gamma().